## python-msgpack 0.5.6

=== Makefile ===
.PHONY: all
all: cython
	python setup.py build_ext -i -f

.PHONY: cython
cython:
	cython --cplus msgpack/*.pyx

.PHONY: test
test:
	pytest -v test
	MSGPACK_PUREPYTHON=1 pytest -v test

.PHONY: serve-doc
serve-doc: all
	cd docs && make serve

.PHONY: clean
clean:
	rm -rf build
	rm -f msgpack/_packer.cpp
	rm -f msgpack/_unpacker.cpp
	rm -rf msgpack/__pycache__
	rm -rf test/__pycache__

.PHONY: update-docker
update-docker:
	docker pull quay.io/pypa/manylinux1_i686
	docker pull quay.io/pypa/manylinux1_x86_64

.PHONY: linux-wheel
linux-wheel:
	docker run --rm -ti -v `pwd`:/project -w /project quay.io/pypa/manylinux1_i686   bash docker/buildwheel.sh
	docker run --rm -ti -v `pwd`:/project -w /project quay.io/pypa/manylinux1_x86_64 bash docker/buildwheel.sh

=== requirements.txt ===
Cython==0.27.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -E -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/msgpack.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/msgpack.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/msgpack"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/msgpack"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

serve: html
	cd _build/html && python3 -m http.server

zip: html
	cd _build/html && zip -r ../../../msgpack-doc.zip .

## python-msgpack 0.5.1

=== debian/changelog ===
python-msgpack (0.5.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:39:57 +0000

python-msgpack (0.5.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release: WARNING, upstream has renamed its egg-info as msgpack
    instead of msgpack-python, which WILL break stuff in Debian.
  * Switch to OpenStack packaging style.
  * Renamed source package python-msgpack instead of msgpack-python.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 15:06:53 +0000

msgpack-python (0.4.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/copyright: Fixed upstream URL
  * Now running the unit tests using pytest, removed nose B-D.
  * d/rules: Cleanup
  * Require newer version of dh-python

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Aug 2016 13:18:26 +0200

msgpack-python (0.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * Added simple Debian tests.
  * Standards-Version is 3.9.8 now (no change).
  * d/copyright
    - Added myself for Debian part.
    - Fixed for new upstream release.
  * Removed d/source/options (single-debian-patch)
  * Added README.rst to python3-msgpack

 -- Ondřej Nový <novy@ondrej.org>  Sat, 23 Apr 2016 23:22:11 +0200

msgpack-python (0.4.6-1) unstable; urgency=medium

  * New upstream release (Closes: #794678).
  * Standards-Version is now 3.9.6 (no change).
  * Watch file using the PyPi redirector.
  * Removed version for python-all-dev build-depends.
  * Removed Replaces:+Breaks msgpack-python (<< 0.3.0-1) now useless as Jessie
    was released.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Aug 2015 16:10:08 +0000

msgpack-python (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Sets the PKG OpenStack team as new Maintainer:, and set myself and Robert
    as uploaders (after Robert agreed in bug report 752747#10).
  * Renamed debian and master branches as debian-unstable and upstream-unstable
    which is much more meaningful. Edited debian/gbp.conf accordingly.
  * Fixed VCS URLs to use the PKG OpenStack repository.
  * Ran wrap-and-sort.
  * Overrides dh commands that don't need to run.
  * Fixed Format: field of debian/copyright.
  * Standards-Version: is now 3.9.5.
  * Replaced Conflicts: with Breaks:, as per lintian suggestion.
  * Now running the unit tests using nose.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Jul 2014 14:51:14 +0800

msgpack-python (0.3.0-1) unstable; urgency=low

  * New upstream release; closes: #719524.

  [ Piotr Ożarowski ]
  * Rename msgpack-python binary package to python-msgpack (following Debian
    Python Policy).
  * Add python3-msgpack binary package; closes: #719525.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 12 Oct 2013 13:00:58 -0400

msgpack-python (0.2.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes big-endian bug in msgpack/pack_template.h; closes: #633449.
  * Add versioned build-dep on cython >= 0.15~; closes: #683083.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 28 Jul 2012 17:20:15 -0400

msgpack-python (0.1.10-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 06 Nov 2011 15:16:20 -0500

msgpack-python (0.1.9-2) unstable; urgency=low

  * Clean msgpack/_msgpack.c; closes: #626949.
  * Remove X-Python-Version from debian/control; closes: #626950.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 16 May 2011 13:47:02 -0400

msgpack-python (0.1.9-1) unstable; urgency=low

  * Initial release; closes: #622921.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 16 Apr 2011 14:24:09 -0400

=== debian/control ===
Source: python-msgpack
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Robert S. Edmonds <edmonds@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 cython,
 debhelper (>= 10),
 openstack-pkg-tools,
 dh-python,
 python-all-dev,
 python-pytest,
 python-setuptools,
 python3-all-dev,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-msgpack.git
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-msgpack
Homepage: https://pypi.python.org/pypi/msgpack

Package: python-msgpack
Provides:
 msgpack-python,
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python implementation of MessagePack format
 MessagePack is a binary-based efficient object serialization format.
 It enables the exchange of structured objects between many languages
 like JSON.  But unlike JSON, it is very fast and small.
 .
 This package contains a Python extension module implementing the
 MessagePack format.

Package: python3-msgpack
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python 3 implementation of MessagePack format
 MessagePack is a binary-based efficient object serialization format.
 It enables the exchange of structured objects between many languages
 like JSON. But unlike JSON, it is very fast and small.
 .
 This package contains a Python 3 extension module implementing the
 MessagePack format.

## python-msgpack 0.5.6

=== debian/changelog ===
python-msgpack (0.5.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #895733)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Apr 2018 18:44:47 +0200

python-msgpack (0.5.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Add debian/python{3,}-msgpack.pydist to help transition to the new upstream
    egg name.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Mar 2018 13:10:04 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  cython,
- debhelper (>= 10),
+ debhelper (>= 10~),
+ dh-python,
  openstack-pkg-tools,
- dh-python,
  python-all-dev,
  python-pytest,
  python-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/msgpack/msgpack-python
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers -m pytest test ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Depends: python-msgpack
Test-Command: cd "$ADTTMP" ; python -c "import msgpack; print msgpack.version"

Depends: python3-msgpack
Test-Command: cd "$ADTTMP" ; python3 -c "import msgpack; print(msgpack.version)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/msgpack-python/msgpack-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-msgpack 0.6.2

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,11 @@
 
 .PHONY: cython
 cython:
-	cython --cplus msgpack/*.pyx
+	cython --cplus msgpack/_cmsgpack.pyx
 
 .PHONY: test
-test:
+test: cython
+	pip install -e .
 	pytest -v test
 	MSGPACK_PUREPYTHON=1 pytest -v test
 
@@ -18,8 +19,7 @@
 .PHONY: clean
 clean:
 	rm -rf build
-	rm -f msgpack/_packer.cpp
-	rm -f msgpack/_unpacker.cpp
+	rm -f msgpack/_msgpack.cpp
 	rm -rf msgpack/__pycache__
 	rm -rf test/__pycache__

=== debian/changelog ===
python-msgpack (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix pkgos-dh_auto_install to install only for py3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Mar 2020 23:56:08 +0100

python-msgpack (0.5.6-4) unstable; urgency=medium

  * Removed remaining python3 build-depends (Closes: #937932).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 11:58:04 +0100

python-msgpack (0.5.6-3) unstable; urgency=medium

  * Removed Python 2 support (Closes: #937932).

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jan 2020 16:03:27 +0100

python-msgpack (0.5.6-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Fix uscan watch uri
  * Bump compat level to 12

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * Test all Python2/3 versions in autopkgtests (Closes: #943360).
  * d/rules: Remove unnecessary overrides.

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Oct 2019 23:04:34 +0200

=== debian/control ===
Source: python-msgpack
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Robert S. Edmonds <edmonds@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 cython3,
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all-dev,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-msgpack.git
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-msgpack
Homepage: https://pypi.python.org/pypi/msgpack

Package: python3-msgpack
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python 3 implementation of MessagePack format
 MessagePack is a binary-based efficient object serialization format.
 It enables the exchange of structured objects between many languages
 like JSON. But unlike JSON, it is very fast and small.
 .
 This package contains a Python 3 extension module implementing the
 MessagePack format.

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import msgpack; print(msgpack.version)" ; done
Depends: python3-all, python3-msgpack
Restrictions: allow-stderr, superficial
Features: test-name=python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/msgpack/msgpack(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-msgpack 1.0.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 .PHONY: all
 all: cython
 	python setup.py build_ext -i -f
+
+.PHONY: black
+black:
+	black msgpack/ test/ setup.py
 
 .PHONY: cython
 cython:
@@ -19,7 +23,8 @@
 .PHONY: clean
 clean:
 	rm -rf build
-	rm -f msgpack/_msgpack.cpp
+	rm -f msgpack/_cmsgpack.cpp
+	rm -f msgpack/_cmsgpack.*.so
 	rm -rf msgpack/__pycache__
 	rm -rf test/__pycache__

=== requirements.txt ===
Cython~=0.29.13

=== docs/Makefile ===
--- 
+++ 
@@ -153,7 +153,7 @@
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
 serve: html
-	cd _build/html && python3 -m http.server
+	python3 -m http.server -d _build/html
 
 zip: html
 	cd _build/html && zip -r ../../../msgpack-doc.zip .

=== debian/changelog ===
python-msgpack (1.0.0-6) unstable; urgency=medium

  * Correctly breaks python3-pynvim and not python-pynvim.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Nov 2020 11:01:46 +0100

python-msgpack (1.0.0-5) unstable; urgency=medium

  * Add breaks: python-pynvim << 0.4.2~ (Closes: #975087).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2020 09:55:35 +0100

python-msgpack (1.0.0-4) unstable; urgency=medium

  * Fixed watch file again.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 12:57:55 +0200

python-msgpack (1.0.0-3) unstable; urgency=medium

  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 12:47:01 +0200

python-msgpack (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 12:39:50 +0200

python-msgpack (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Add breaks of older borgbackup (Closes: #953985)

  [ Thomas Goirand ]
  * New upstream release.
  * d/python3-msgpack.docs: use README.md (instead of .rst).

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 10:21:46 +0200

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,9 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Breaks:
+ borgbackup (<< 1.1.11-5~),
+ python3-pynvim (<< 0.4.2~),
 Description: Python 3 implementation of MessagePack format
  MessagePack is a binary-based efficient object serialization format.
  It enables the exchange of structured objects between many languages

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/msgpack/msgpack-python
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers -m pytest test ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import msgpack; print(msgpack.version)" ; done
Depends:
 python3-all,
 python3-msgpack,
Restrictions: allow-stderr, superficial
Features: test-name=python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/v//" \
https://github.com/msgpack/msgpack-python/tags .*/([v]*\d[brc\d\.]+)\.tar\.gz

## python-msgpack 1.0.3

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	rm -rf build
 	rm -f msgpack/_cmsgpack.cpp
 	rm -f msgpack/_cmsgpack.*.so
+	rm -f msgpack/_cmsgpack.*.pyd
 	rm -rf msgpack/__pycache__
 	rm -rf test/__pycache__
 
@@ -35,5 +36,9 @@
 
 .PHONY: linux-wheel
 linux-wheel:
-	docker run --rm -ti -v `pwd`:/project -w /project quay.io/pypa/manylinux1_i686   bash docker/buildwheel.sh
-	docker run --rm -ti -v `pwd`:/project -w /project quay.io/pypa/manylinux1_x86_64 bash docker/buildwheel.sh
+	docker run --rm -v `pwd`:/project -w /project quay.io/pypa/manylinux2014_i686   bash docker/buildwheel.sh
+	docker run --rm -v `pwd`:/project -w /project quay.io/pypa/manylinux2014_x86_64 bash docker/buildwheel.sh
+
+.PHONY: linux-arm64-wheel
+linux-arm64-wheel:
+	docker run --rm -v `pwd`:/project -w /project quay.io/pypa/manylinux2014_aarch64   bash docker/buildwheel.sh

=== requirements.txt ===
# Also declared in pyproject.toml, if updating here please also update there
Cython~=0.29.13

=== debian/changelog ===
python-msgpack (1.0.3-3build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:47:41 +0000

python-msgpack (1.0.3-3build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:12:27 +0000

python-msgpack (1.0.3-3build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:32:29 +0100

python-msgpack (1.0.3-3build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:17:01 +0200

python-msgpack (1.0.3-3build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:26:47 +0100

python-msgpack (1.0.3-3) unstable; urgency=medium

  * Add extend-diff-ignore for the egg-info (Closes: #1045716).
  * Clean msgpack/_cmsgpack.cpp.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 16:13:48 +0200

python-msgpack (1.0.3-2) unstable; urgency=medium

  * Add Use-PyFloat_Pack8-on-Python-3.11a7-499.patch (Closes: #1024314).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Nov 2022 17:38:00 +0100

python-msgpack (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Feb 2022 10:25:56 +0100

python-msgpack (1.0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:02:19 +0200

python-msgpack (1.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 15:56:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-msgpack
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Robert S. Edmonds <edmonds@debian.org>,
  Thomas Goirand <zigo@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,4 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=pybuild
 	rm -rf build
+	rm -f msgpack/_cmsgpack.cpp

## python-msgpack 1.1.2

=== requirements.txt ===
Cython==3.1.4

=== debian/changelog ===
python-msgpack (1.1.2-2) unstable; urgency=medium

  * Cleans better (Closes: #1045716).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 12:21:37 +0100

python-msgpack (1.1.2-1) unstable; urgency=medium

  * New upstream release:
    - Add pybuild-plugin-pyproject as build-depends.
    - Let pybuild handle install and tests.
    - Run "python3 setup.py build_ext -i -f" when building.
    - fixes building C extension (Closes: #1122009).
  * Removed Use-PyFloat_Pack8-on-Python-3.11a7-499.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Dec 2025 11:04:47 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/msgpack/msgpack-python
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_TEST_ARGS= -v

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_build:
	cython3 msgpack/_cmsgpack.pyx
	dh_auto_build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	dh_clean
	rm -rf build .pybuild *.egg-info
	rm -f msgpack/_cmsgpack.cpp msgpack/_cmsgpack.c

=== debian/tests/control ===
--- 
+++ 
@@ -2,5 +2,15 @@
 Depends:
  python3-all,
  python3-msgpack,
-Restrictions: allow-stderr, superficial
-Features: test-name=python3
+Restrictions:
+ allow-stderr,
+ superficial,
+Features:
+ test-name=python3,
+
+Tests:
+ unittests,
+Depends:
+ @builddeps@,
+Restrictions:
+ allow-stderr,
